package org.ow2.jasmine.interfaces.jmx.alarms;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

@MessageDriven(activationConfig = {
        @ActivationConfigProperty(propertyName = "destination", propertyValue = "JASMINeAlarmsTopic"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic")
})
public class JMXAlarmListener implements MessageListener {
	
    public void onMessage(final Message message) {
        // Should be instance of text message
        if (message instanceof TextMessage) {
            try {
            	int id = Integer.parseInt(((TextMessage) message).getText());
                JMXAlarmManager.getInstance().notifyAlarm(id);
                
            } catch (JMSException e) {
                System.err.println("Error while getting the content of the message");
                e.printStackTrace();
            }
        }
    }

}
